using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication135
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            string[] str = Console.ReadLine().Split();
            int i = 1;
            bool sledeca = false;  
            int pr = int.Parse(str[0]);
            if(pr==k)
            {
                sledeca = true;
            }
            int rezultat = pr;
            while(i<n)
            {
                int tr = int.Parse(str[i]);
                if (sledeca)
                {
                    rezultat = tr;
                    sledeca = false;
                }
                else
                {
                    if (tr == k)
                    {
                        sledeca = true;
                    }
                }
                i++;
            }
            Console.WriteLine(rezultat);
        }
    }
}